import { ICarrier, IQuoteRequestHeaderContainerComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkQuoteRequestHeaderContainer implements IQuoteRequestHeaderContainerComponent {
    /**
     * Carrier
     */
    carrier: ICarrier;
    /**
     * Custom logo base url
     */
    customLogoBaseUrl: string;
    /**
     * Should show custom logo
     */
    showCustomLogo: boolean;
    /**
     * Should show logo
     */
    showLogo: boolean;
    /**
     * Quote ID
     */
    quoteId: string;
    useExternal: boolean;
    name: string;
    resetState(): void;
    connectedCallback(): void;
    componentWillLoad(): void;
    onCarrierChange(carrier: ICarrier): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
